gr::baz::swap Class Referenceabstract

Detect the peak of a signal. More...

`#include <baz_swap.h>`

Inheritance diagram for gr::baz::swap:
[legend]

## Public Types

typedef boost::shared_ptr< swap > | sptr

## Public Member Functions

virtual void | set_swap (bool swap)=0
virtual bool | get_swap () const =0

## Static Public Member Functions

static sptr | make (int item_size, int vlen, bool swap=true)

## Detailed Description

Detect the peak of a signal.

If a peak is detected, this block outputs a 1, or it outputs 0's.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<swap> gr::baz::swap::sptr

## Member Function Documentation

## get_swap()

virtual bool gr::baz::swap::get_swap | ( |  | ) | const

pure virtual

## make()

static sptr gr::baz::swap::make | ( | int | item_size,
|  | int | vlen,
|  | bool | swap = `true`
| ) |  |

static

## set_swap()

virtual void gr::baz::swap::set_swap | ( | bool | swap | ) |

pure virtual

The documentation for this class was generated from the following file:

- baz_swap.h